# Configuring redirection from forms

### Three ways to redirect users in formX

There are three ways you can redirect users from forms powered by [formX](https://formx.stream/index.html).

* Default redirect - To formX 'Thank You' Page&#x20;
* Auto redirect to a URL - Configured via formX Settings Panel
* Custom Redirect - By inserting your code in the success or error handler method

### **Default redirect**

This is formX's default setting. When a submission is successful, the user will be redirected to this page where they will see an acknowledgement notification. In five seconds, the user will automatically be redirected to the page where the submission came from in.

![](https://lh4.googleusercontent.com/sapiOh3FpIPhu534baPUi5Rls5uc6J36kT5nEiQQa09IsYrTwd5QCnKOBHpgbSrbxSCGNytrE44kH66SSpvgGfGwRWvqurhM2ci_ECJV7CvLxnAp4eYJDOX0covLfK43CQeMxQB3)

### **Auto redirect to a URL**

If you want the form to redirect the user to a different URL on successful submission, follow these steps:

* Login to your formX console&#x20;
* Navigate to the form where you want to add auto redirect settings using the switcher on the top left of the screen
* Go to Settings -> Options on the side menu.&#x20;
* Ensure that 'Auto Redirect' toggle is set to 'On'.&#x20;
* Enter your redirect URL there.&#x20;
* Save the settings

### Custom redirect

If you want to handle a successful submission in your own way, paste a formX script on the page.

You can modify the snippet similar to:

```
// <script src="https://static.formx.stream/tracker/v1/bundle.js"></script>
<script> var formx = FormX.set() formx.trackProject('<your_project_id>') formx.trackForm('<your_form_id>', 'form_submissions_off', function (s) { alert("submission recieved") }, function (e) { alert(e) }) formx.start() </script>
Some code
```

Here is an example of how we handle custom success handlers in our <https://formx.stream/> landing page:

![](https://lh3.googleusercontent.com/unWolwkMSSM8fh9e_cLSwRYTSPA5A3VH2yCbpRZJEzilcyw18MP-WZrsZK9LaocarTh4n-WMJfmfgC2fwu8GHd5Fpg3b4T8z5xRXnUD18qGSr73XcNUf28HLTgdmn724mid5hO9u)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.formx.stream/guides/configuring-redirection-from-forms.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
